import Buffer
import Env
class Window():
    def __init__(self, window_name, player=None):
        self.name = window_name
        self.env = Env.Env(window_name, player)
        self.buffer = Buffer.Bufferv2(self.env)
        #self.buffer = Buffer()

    def add_packet(self, packet, direction="CLI"):
        self.buffer.add_packet(packet, direction)
